com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_FreqLBT

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_FreqLBT
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_FreqLBT

-     public class STUHFL_T_ST25RU3993_FreqLBT
      extends BR_ST25RU3993_FreqLBT

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqLBT

      `BR_ST25RU3993_FreqLBT.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `idleTime` < I/O Param: Time for listing periode
    `int` | `listeningTime`
    `short` | `rssiLogThreshold` < I/O Param: Idle time for LBT
    `boolean` | `skipLBTcheck` < I/O Param: RSSI threshold value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_FreqLBT()`
    `STUHFL_T_ST25RU3993_FreqLBT(int listeningTime, int idleTime, short rssiLogThreshold, boolean skipLBTcheck)`
    `STUHFL_T_ST25RU3993_FreqLBT(STUHFL_T_ST25RU3993_FreqLBT other)` < I/O Param: Flag to wheter LBT check shall be skipped at all

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set listen before talk configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get actual listen before talk configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqLBT

      `_Get_FreqLBT, _Set_FreqLBT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### listeningTime

          public int listeningTime

    - #### idleTime

          public int idleTime

      < I/O Param: Time for listing periode

    - #### rssiLogThreshold

          public short rssiLogThreshold

      < I/O Param: Idle time for LBT

    - #### skipLBTcheck

          public boolean skipLBTcheck

      < I/O Param: RSSI threshold value

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_FreqLBT

          public STUHFL_T_ST25RU3993_FreqLBT(STUHFL_T_ST25RU3993_FreqLBT other)

      < I/O Param: Flag to wheter LBT check shall be skipped at all

    - #### STUHFL_T_ST25RU3993_FreqLBT

          public STUHFL_T_ST25RU3993_FreqLBT(int listeningTime,
                                             int idleTime,
                                             short rssiLogThreshold,
                                             boolean skipLBTcheck)

    - #### STUHFL_T_ST25RU3993_FreqLBT

          public STUHFL_T_ST25RU3993_FreqLBT()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set listen before talk configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get actual listen before talk configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`